import { Observable } from 'rxjs';
import { QueryParams } from '../../models/query-params';
import { Task } from '../../models/Task';
import { Workflow } from '../../models/Workflow';
import { Form } from '../../models/Form';
import * as i0 from "@angular/core";
export declare class TaskState {
    private updating$;
    private tasks$;
    private queryParams$;
    private workflows$;
    private forms$;
    isUpdating$(): Observable<boolean>;
    setUpdating(isUpdating: boolean): void;
    getRequests$(): Observable<Task[]>;
    setRequests(tasks: Task[]): void;
    getWorkflows$(): Observable<Workflow[]>;
    setWorkflows(workflows: Workflow[]): void;
    getForms$(): Observable<Form[]>;
    setForms(forms: Form[]): void;
    getQueryParams$(): Observable<QueryParams<Task>>;
    getQueryParamsValue(): QueryParams<Task>;
    updateQueryParams(params: Partial<QueryParams<Task>>): void;
    addRequest(task: Task): void;
    updateRequest(updatedRequest: Task): void;
    removeRequest(taskId: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TaskState, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TaskState>;
}
